Last modified: 2014-06-12 22:01:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34831 - Printing math equations with MathJax is unreliable
Printing math equations with MathJax is unreliable
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Math (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 3840
  Show dependency treegraph
 
Reported: 2012-03-01 02:09 UTC by Brion Vibber
Modified: 2014-06-12 22:01 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2012-03-01 02:09:16 UTC
Various browsers have various issues printing HTML/CSS and MathML correctly (mainly fonts are an issue?)

Since we've updated to MathJax 2.0, SVG output is now available and is supposedly much more reliable in printing. Need to test and see if this helps.
Comment 1 wikimedia.x.0x 2012-03-22 22:11:51 UTC
Would it be possible to have the setting for the the output mode separate for the printable version page (&printable=yes) which would be set to SVG per-default?
Comment 2 Frédéric Wang 2013-09-10 14:45:55 UTC
There is also https://github.com/mathjax/MathJax/issues/386, fixed in v2.2 and https://bugzilla.mozilla.org/show_bug.cgi?id=468568 in Firefox 18.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links